[紧急求助]7.04的Nvidia 显卡驱动

为当前最终发行版之前的所有版本提供支持
回复
sunnsi
帖子: 78
注册时间: 2006-05-27 22:15
送出感谢: 0
接收感谢: 0

[紧急求助]7.04的Nvidia 显卡驱动

#1

帖子 sunnsi » 2007-04-21 15:28

显卡为Nvidia Gforce4 MX440

不安装任何版本的 nvidia-glx 的情况下,可以正常进入X 界面。

可是在安装了 nvidia-glx 再 nvidia-xconfig 后

就再也不能进入X了 :cry:

试过了源里的三种驱动,都是这样。也用pkg.run装了9629, 现象一样。

Xorg的log 报告如下错误:


(II) Setting vga for screen 0.
(**) NVIDIA(0): Depth 24, (--) framebuffer bpp 32
(==) NVIDIA(0): RGB weight 888
(==) NVIDIA(0): Default visual is TrueColor
(==) NVIDIA(0): Using gamma correction (1.0, 1.0, 1.0)
(**) NVIDIA(0): Enabling RENDER acceleration
(II) NVIDIA(0): Support for GLX with the Damage and Composite X extensions is
(II) NVIDIA(0): enabled.
(EE) NVIDIA(0): Failed to load the NVIDIA kernel module!
(EE) NVIDIA(0): *** Aborting ***
(II) UnloadModule: "nvidia"
(II) UnloadModule: "ramdac"
(II) UnloadModule: "fb"
(EE) Screen(s) found, but none have a usable configuration.

Fatal server error:
no screens found
捣鼓了一上午,没招了。

希望大家能给些意见。
头像
akilq
帖子: 328
注册时间: 2007-02-03 21:40
来自: 花花世界
送出感谢: 0
接收感谢: 1 次

#2

帖子 akilq » 2007-04-21 15:41

不要自己装驱动,让7.04自己装驱动!
系统-系统管理-受限驱动管理器,打开以后,将你的显卡点击启动,系统会自己安装驱动!我也是mx440,没有任何问题!
顺便说一句:最好自己添加源,或者添加有显卡驱动的源!我用的cn99~~~
sunnsi
帖子: 78
注册时间: 2006-05-27 22:15
送出感谢: 0
接收感谢: 0

#3

帖子 sunnsi » 2007-04-21 15:42

查看了一下,两种情况下,xorg.conf的不同主要在于

用过nvidia后:
Section "Device"
Identifier "通用显示卡"
Driver "nvidia"
EndSection
重新reconfigure后:
Section "Device"
Identifier "通用显示卡"
Driver "nv"
BusID "PCI:1:0:0"
EndSection
sunnsi
帖子: 78
注册时间: 2006-05-27 22:15
送出感谢: 0
接收感谢: 0

#4

帖子 sunnsi » 2007-04-21 16:05

谢谢2楼
我也是用的cn99的源,也直接让7.04自己装驱动了。
可是一样的有问题。
头像
cheno
帖子: 640
注册时间: 2007-03-18 16:17
来自: 汕尾
送出感谢: 0
接收感谢: 1 次

#5

帖子 cheno » 2007-04-21 16:07

2楼的,你现在能用3D效果吗?
我朋友的机子装了系统自动下载的驱动后,接着就重启,然后分辨率就变了。。。。有什么办法修改一下呀?
unffe
帖子: 63
注册时间: 2007-04-21 7:34
送出感谢: 0
接收感谢: 0

#6

帖子 unffe » 2007-04-21 19:09

和楼主一样的问题
不过我换了官方的源就好了
不会是源的问题把?
youngcmu
帖子: 92
注册时间: 2006-12-30 16:29
送出感谢: 0
接收感谢: 0

#7

帖子 youngcmu » 2007-04-21 20:34

我的 400显卡装什么驱动都不行。总是进不了x window
头像
milkboy_x
帖子: 431
注册时间: 2006-06-13 11:02
来自: 广东 广州
送出感谢: 0
接收感谢: 0

#8

帖子 milkboy_x » 2007-04-21 20:38

MX400和MX440不是装这个驱动的,是要装另外一个的,有个L什么的后缀的。
头像
skyx
论坛版主
帖子: 9203
注册时间: 2006-12-23 13:46
来自: Azores Islands
送出感谢: 0
接收感谢: 1 次
联系:

#9

帖子 skyx » 2007-04-21 20:38

no security measure is worth anything if an attacker has physical access to the machine
izee
帖子: 661
注册时间: 2007-01-26 13:38
送出感谢: 0
接收感谢: 0
联系:

#10

帖子 izee » 2007-04-21 21:21

GF4装nvidia-glx
更老点的才是nvidia-glx-legacy
原来我用测试版的时候,装nvidia-glx总是不能开启3D加速
现在可以正常使用了
GF4 MX440
nick125
帖子: 16
注册时间: 2006-09-06 16:07
送出感谢: 0
接收感谢: 0

#11

帖子 nick125 » 2007-04-22 10:19

跟lz一样的问题……
头像
516079251
帖子: 23
注册时间: 2007-08-17 15:45
送出感谢: 0
接收感谢: 0
联系:

#12

帖子 516079251 » 2007-08-22 15:20

我的也是MX440,可以用1024*768的分辨率,但是刷新频率只有60.装老9639之后只有50的刷新率了.3D根本不能用.
显示是受限的驱动.
xile
帖子: 29
注册时间: 2007-08-16 19:48
送出感谢: 0
接收感谢: 0

#13

帖子 xile » 2007-08-22 16:18

和lz 一样的问题,我是mx400
回复

回到 “老旧版本支持”